import config from "@/config";
import http from "@/utils/request";

export default {
	room:{
		add: {
			url: `${config.API_URL}/machine.room.add`,
			name: "新增机房配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		list: {
			url: `${config.API_URL}/machine.room.list`,
			name: "机房配置列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
	},
	mail:{
		set:{
			url: `${config.API_URL}/mail.config.set`,
			name: "源邮件配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		get:{
			url: `${config.API_URL}/mail.config.get`,
			name: "源邮件获取",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		configInfo:{
			url: `${config.API_URL}/email.source.config.info`,
			name: "源邮件获取数据同步模式",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		free:{
			url: `${config.API_URL}/mail.free.list`,
			name: "获取邮件免蜜链接",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		}
	},
	k3:{
		set:{
			url: `${config.API_URL}/k3.api.config.set`,
			name: "金蝶ERP接口配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		get:{
			url: `${config.API_URL}/k3.api.config.get`,
			name: "金蝶ERP接口配置获取",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		}
	},
	cost:{
		list:{
			url: `${config.API_URL}/cost.config.const.list`,
			name: "费用类别常量列表",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		set:{
			url: `${config.API_URL}/cost.category.add`,
			name: "新增费用类别配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		get:{
			url: `${config.API_URL}/cost.category.list`,
			name: "费用类别配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		}
	},
	material:{
		list:{
			url: `${config.API_URL}/material.cost.list`,
			name: "物料成本列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
		add:{
			url: `${config.API_URL}/material.cost.add`,
			name: "物料成本添加",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		delete:{
			url: `${config.API_URL}/material.cost.delete`,
			name: "物料成本删除",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		template:{
			url: `${config.API_URL}/material.cost.import.template`,
			name: "物料成本导入模版",
			post: async function (params) {
				return await http.get(this.url,params,{responseType: 'arraybuffer'});
			}
		},
		import:{
			url: `${config.API_URL}/material.cost.batch.import`,
			name: "物料成本导入",
			post: async function (params) {
				return await http.post(this.url,params,{'Content-Type': 'multipart/form-data'});
			}
		},
	},
	crontab:{
		configList:{
			url: `${config.API_URL}/crontab.config.list`,
			name: "定时系统配置列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
		list:{
			url: `${config.API_URL}/crontab.list`,
			name: "定时任务列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
		add:{
			url: `${config.API_URL}/crontab.add`,
			name: "添加配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		status:{
			url: `${config.API_URL}/crontab.status`,
			name: "定时任务状态",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		delete:{
			url: `${config.API_URL}/crontab.delete`,
			name: "删除配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		describe:{
			url: `${config.API_URL}/crontab.describe`,
			name: "定时任务表达式转换",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		}
	},
	customer:{
		add: {
			url: `${config.API_URL}/customer.add`,
			name: "客户新增配置",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		delete: {
			url: `${config.API_URL}/customer.delete`,
			name: "客户删除",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		status:{
			url: `${config.API_URL}/customer.status`,
			name: "客户状态",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		list: {
			url: `${config.API_URL}/customer.list`,
			name: "客户列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
		select:{
			url: `${config.API_URL}/customer.select.list`,
			name: "客户下拉",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		}
	},
	regional:{
		list:{
			url: `${config.API_URL}/regional.address.list`,
			name: "区域信息列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
		add:{
			url: `${config.API_URL}/regional.address.add`,
			name: "区域新增",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		delete:{
			url: `${config.API_URL}/regional.address.delete`,
			name: "区域删除",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		sourceList:{
			url: `${config.API_URL}/data.source.list`,
			name: "区域信息数据来源常量列表",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		regionalList:{
			url: `${config.API_URL}/regional.info.list`,
			name: "区域信息常量列表",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		regionalConstList:{
			url:`${config.API_URL}/regional.address.const.list`,
			name:"区域信息对照下拉列表",
			post:async function (data) {
				return await http.post(this.url, data);
			},
		},
		import:{
			url: `${config.API_URL}/regional.address.batch.import`,
			name: "区域地址导入",
			post: async function (params) {
				return await http.post(this.url,params,{'Content-Type': 'multipart/form-data'});
			}
		},
		template:{
			url: `${config.API_URL}/area.address.import.template`,
			name: "区域地址导入模版",
			post: async function (params) {
				return await http.get(this.url,params,{responseType: 'arraybuffer'});
			}
		},
	},
	spare:{
		list:{
			url: `${config.API_URL}/spare.parts.failure.rate.list`,
			name: "备件故障率列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
		add:{
			url: `${config.API_URL}/spare.parts.failure.rate.add`,
			name: "备件故障率新增",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		delete:{
			url: `${config.API_URL}/spare.parts.failure.rate.delete`,
			name: "备件故障率删除",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		partsStatus:{
			url: `${config.API_URL}/spare.parts.edit.status`,
			name: "批量编辑备件最终状态",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		import:{
			url: `${config.API_URL}/spare.parts.failure.rate.batch.import`,
			name: "备件故障导入",
			post: async function (params) {
				return await http.post(this.url,params,{'Content-Type': 'multipart/form-data'});
			}
		},
		template:{
			url: `${config.API_URL}/spare.parts.failure.rate.import.template`,
			name: "备件故障率导入模版",
			post: async function (params) {
				return await http.get(this.url,params,{responseType: 'arraybuffer'});
			}
		},
	},
	bom:{
		list:{
			url: `${config.API_URL}/bom.list`,
			name: "bom列表",
			get: async function (data) {
				return await http.post(this.url, data);
			},
		},
		info:{
			url: `${config.API_URL}/bom.detail`,
			name: "bom详情",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		refresh:{
			url: `${config.API_URL}/bom.refresh`,
			name: "重新拉取bom",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		field:{
			url: `${config.API_URL}/bom.field.list`,
			name: "清单字段选择列表",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		statusList:{
			url: `${config.API_URL}/bom.status.const.list`,
			name: "清单状态常量列表",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		disabledStatus:{
			url: `${config.API_URL}/bom.disabled.state.const.list`,
			name: "清单禁用状态列表",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		add:{
			url: `${config.API_URL}/bom.add`,
			name: "bom单条新增或者编辑",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		delete:{
			url: `${config.API_URL}/bom.delete`,
			name: "bom删除",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		enable:{
			url: `${config.API_URL}/bom.enable`,
			name: "bom启用/禁用",
			post: async function (data) {
				return await http.post(this.url, data);
			},
		},
		import:{
			url: `${config.API_URL}/bom.import`,
			name: "BOM导入",
			post: async function (params) {
				return await http.post(this.url,params,{'Content-Type': 'multipart/form-data'});
			}
		},
		template:{
			url: `${config.API_URL}/bom.list.import.template`,
			name: "bom导入模版",
			post: async function (params) {
				return await http.get(this.url,params,{responseType: 'arraybuffer'});
			}
		},
		export:{
			url: `${config.API_URL}/bom.export`,
			name: "BOM导出",
			post: async function (params) {
				return await http.post(this.url,params);
			}
		},

	}
};
